> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vendor Credits for a Business

> **Scopes:** `vendor_credit:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/vendor-credit
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/vendor-credit:
    get:
      tags:
        - Vendor Credit
      summary: List Vendor Credits for a Business
      description: '**Scopes:** `vendor_credit:read`'
      operationId: list_vendor_credits_v0_business__business_id__vendor_credit_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            type: string
            format: biz_string
            title: Business Id
        - name: vendor_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: ven_string
              - type: 'null'
            description: Filter vendor credits by vendor ID
            title: Vendor Id
          description: Filter vendor credits by vendor ID
        - name: voided
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: If set, filter by voided status (true = voided, false = active)
            title: Voided
          description: If set, filter by voided status (true = voided, false = active)
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorCreditsPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - vendor_credit:read
components:
  schemas:
    VendorCreditsPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/VendorCreditPublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: VendorCreditsPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    VendorCreditPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The ID of the Business that the vendor credit is associated with
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        vendor_id:
          type: string
          format: ven_string
          title: Vendor Id
          description: The ID of the Vendor that issued the credit
          examples:
            - ven_ApaM9xeQtNyVk5qpaHJbNj
        number:
          type: string
          maxLength: 255
          title: Number
          description: The number of the vendor credit
          examples:
            - VC-001
        amount:
          type: number
          title: Amount
          description: The amount of the vendor credit
          examples:
            - 100
        memo:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Memo
          description: Description of the vendor credit
        issued_at:
          type: string
          format: date-time
          title: Issued At
          description: The date and time the vendor credit was issued
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The journal entry that issued the credit
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        voided_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Voided At
          description: The date and time the vendor credit was voided
        created_by:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Created By
          description: The entity that created the vendor credit
        id:
          type: string
          format: vc_string
          title: Id
          description: The ID of the vendor credit
          examples:
            - vc_WQMDNUHpBThYSNh4AprDBo
        voided:
          type: boolean
          title: Voided
          description: Whether the vendor credit has been voided
          readOnly: true
      type: object
      required:
        - business_id
        - vendor_id
        - number
        - amount
        - issued_at
        - journal_entry_id
        - id
        - voided
      title: VendorCreditPublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````